/****************************************************************************
** Включать реле каждый час на 5 минут.
** Скрипт для клиентского ПО. Операдор должен быть авторизован.
****************************************************************************/

var numServer = 1;    // Номер сервера - это порядковый номер, а не адрес
var numPKU    = 1;    // Номер пульта - это порядковый номер, а не адрес
var numDev    = 5;    // Адрес прибора
var numRelay  = 2;    // Номер реле
var rlTime    = 5*60; // на сколько включить, в секундах

var serverNumPKU = armSkif.convert2ByteToWord(numServer, numPKU); // Для запуска сценария в клиентском ПО
//var serverNumPKU = numPKU;                                      // Для запуска сценария в серверном ПО

var date = new Date(); // Текущая дата
date.setHours(date.getHours()+1, 0, 0, 0);
armSkif.setSheduler(controlRelay, date); // Вызвать функцию controlRelay в заданное время

//---------------------------------------------------------------------------
function controlRelay()
{
    armSkif.controlRelay(serverNumPKU, numDev, numRelay, armSkif.RL_ON_TIME, 1, 0, rlTime/0.125); // Включить реле на заданное время
    
    date.setHours(date.getHours()+1, 0, 0, 0);
    armSkif.setSheduler(controlRelay, date); // Вызвать функцию controlRelay в заданное время
    
    //armSkif.writeLog("controlRelay");
}
